#include <iostream>
using namespace std;

int main() {
  int x,y,a,b;
  cin>>a>>b;
  cin>>x>>y;

  if(x==a && y==b)
  {
    cout<<"nijedan\n";
  }
  if(x==a && y!=b)
    cout<<"drugi\n";
  if(x!=a && y==b)
    cout<<"prvi\n";
  if(x!=a && y!=b)
    cout<<"?\n";
}